/**
@author   Cody Johnson
@email    cody.ele@noritake.com (Feel free to ask questions)
@website  noritake-elec.com
@version  v1.0
@ide      IAR
@brief    I2C library for STM32F4xx and Noritake GU-D Series Modules

@vertatim
Provide the I2C interface between STM32F4Discovery and Noritake GU-D modules.
This library uses the STM32F4Discovery library functions from stm32f4xx_i2c.
@endverbatim
*/

#ifndef GUD_I2C_H
#define GUD_I2C_H

#include "stm32f4xx.h"
#include "stm32f4xx_i2c.h"

extern int interface;

//Function Prototypes
void GUD_I2C_Init(uint8_t address);
void GUD_I2C_Start(uint8_t direction);
uint8_t GUD_I2C_SingleReadAck();
uint8_t GUD_I2C_ReadAck();
uint8_t GUD_I2C_SingleReadNack();
uint8_t GUD_I2C_ReadNack();
void GUD_I2C_MultiRead(uint8_t* data, int count);
void GUD_I2C_MultiReadTRDY(uint8_t* data);
void GUD_I2C_Write(uint8_t data);
void GUD_I2C_MultiWrite(uint8_t* data);
void GUD_I2C_Stop();

#endif