/**
@author   Cody Johnson
@email    cody.ele@noritake.com (Feel free to ask questions)
@website  noritake-elec.com
@version  v1.0
@ide      IAR
@brief    SPI library for STM32F4xx and Noritake GU-D Series Modules

@vertatim
Provide the SPI interface between STM32F4Discovery and Noritake GU-D modules.
This library uses the STM32F4Discovery library functions from stm32f4xx_spi.
@endverbatim
*/

#ifndef GUD_SPI_H
#define GUD_SPI_H

#include "stm32f4xx.h"
#include "stm32f4xx_spi.h"
#include "stdint.h"

extern int interface;

void Delay(__IO uint32_t time);
void GUD_SPI_Init();
void startSPI();
void endSPI();
void initGUD();
void writeSPI(uint8_t data);
void writeSPI2(uint8_t data);
void writeString(char* data);
uint8_t readSPIstatus();
void startSPIRead();
uint8_t readSPIData();

#endif