/**
@author   Cody Johnson
@email    cody.ele@noritake.com (Feel free to ask questions)
@website  noritake-elec.com
@version  v1.0
@ide      IAR
@brief    UART library for STM32F4xx and Noritake GU-D Series Modules

@vertatim
Provide the UART interface between STM32F4Discovery and Noritake GU-D modules.
This library uses the STM32F4Discovery library functions from stm32f4xx_usart.
@endverbatim
*/

#ifndef GUD_USART_H
#define GUD_USART_H

#include "stm32f4xx.h"
#include "stm32f4xx_usart.h"
#include "stdint.h"

extern int interface;

void GUD_UART_Init(uint32_t baudrate);
void writeUART(uint8_t data);
void printUART(char* data);
uint8_t readUART();
uint8_t receivedUART();
void setHBUSY();
void clearHBUSY();

#endif